No MT4 or MT5 for Windows XP, Windows 2003 or Windows Vista from October 2017

June 6, 2017

You may need to update your device before October...

No MT4 or MT5 for Windows XP, Windows 2003 or Windows Vista from October 2017

Following the end of lifecycle support for Windows 2003 and Windows Vista from Microsoft 3 years ago, MetaQuotes has also decided to end the support for outdated operating systems.

*End of support means that Microsoft no longer provides security updates that can help protect your PC from harmful viruses, spyware, and other malicious software.

MetaQuotes has announced that the company will no longer support following operating systems as of 1st of October, 2017.

  1. Windows XP
  2. Windows 2003
  3. Windows Vista

The end of support affect both MetaTrader4 and MetaTrader5 trading platforms.

With this end of support, users won’t be able to do the following activities from the above specified date.

  1. Receive updates of the trading platforms(both MT4 and MT5).
  2. Install trading platforms(both MT4 and MT5) on these operating systems.

Although the end of support, you can still continue using the older versions of MetaTrader 4 and MetaTrader 5. But in this case, MetaQuotes won’t take responsibilities of any malfunctions or errors on the platforms.

For your information, the minimum required operating system version for running MetaTrader 4/5 will be Windows 7. However, MetaQuotes recommends traders using the 64-bit versions of Windows 10.

Free 123 USD

30 USD for Free

5 USD for Free

25 USD for Free

300 USD for Free

100 USD for Free

Partner brands

Hercules